#! /usr/bin/env node

const params = process.argv.slice(4);
const mod = require(process.argv[2]);

if (!mod) {
  throw new Error(`No module named ${mod} found`);
}
if (!mod[process.argv[3]]) {
  throw new Error(`${process.argv[3]} is not a function exported from ${mod}`);
}
mod[process.argv[3]](...params);
